Loading...
Searching...
No Matches
RDKit::MolDraw2D_detail::DrawShapeArrow Class Reference

`#include <DrawShape.h>`

Inheritance diagram for RDKit::MolDraw2D_detail::DrawShapeArrow:

## Public Member Functions

| DrawShapeArrow (const std::vector< Point2D > &points, double lineWidth=2.0, bool scaleLineWidth=false, DrawColour lineColour=DrawColour(0, 0, 0), bool fill=false, int atom1=-1, int atom2=-1, int bond=-1, double frac=0.2, double angle=M_PI/6)
| DrawShapeArrow (const DrawShapeArrow &)=delete
| DrawShapeArrow (DrawShapeArrow &&)=delete
| ~DrawShapeArrow ()=default
DrawShapeArrow & | operator= (const DrawShapeArrow &)=delete
DrawShapeArrow & | operator= (DrawShapeArrow &&)=delete
void | myDraw (MolDraw2D &drawer) const override
bool | doesRectClash (const StringRect &rect, double padding) const override
Public Member Functions inherited from RDKit::MolDraw2D_detail::DrawShape
| DrawShape (const std::vector< Point2D > &points, double lineWidth=2.0, bool scaleLineWidth=false, DrawColour lineColour=DrawColour(0, 0, 0), bool fill=false, int atom1=-1, int atom2=-1, int bond=-1)
| DrawShape (const DrawShape &)=delete
| DrawShape (DrawShape &&)=delete
virtual | ~DrawShape ()=default
DrawShape & | operator= (const DrawShape &)=delete
DrawShape & | operator= (DrawShape &&)=delete
void | draw (MolDraw2D &drawer)
virtual void | findExtremes (double &xmin, double &xmax, double &ymin, double &ymax) const
virtual void | scale (const Point2D &scale_factor)
virtual void | move (const Point2D &trans)

## Public Attributes

double | frac_
double | angle_
Public Attributes inherited from RDKit::MolDraw2D_detail::DrawShape
std::vector< Point2D > | points_
double | lineWidth_
bool | scaleLineWidth_
DrawColour | lineColour_
bool | fill_
int | atom1_
int | atom2_
int | bond_

## Detailed Description

Definition at line 63 of file DrawShape.h.

## Constructor & Destructor Documentation

## DrawShapeArrow() [1/3]

RDKit::MolDraw2D_detail::DrawShapeArrow::DrawShapeArrow | ( | const std::vector< Point2D > & | points,
|  | double | lineWidth = `2.0`,
|  | bool | scaleLineWidth = `false`,
|  | DrawColour | lineColour = `DrawColour(0, 0, 0)`,
|  | bool | fill = `false`,
|  | int | atom1 = `-1`,
|  | int | atom2 = `-1`,
|  | int | bond = `-1`,
|  | double | frac = `0.2`,
|  | double | angle = `M_PI/6`
| ) |  |

## DrawShapeArrow() [2/3]

RDKit::MolDraw2D_detail::DrawShapeArrow::DrawShapeArrow | ( | const DrawShapeArrow & |  | ) |

delete

## DrawShapeArrow() [3/3]

RDKit::MolDraw2D_detail::DrawShapeArrow::DrawShapeArrow | ( | DrawShapeArrow && |  | ) |

delete

## ~DrawShapeArrow()

RDKit::MolDraw2D_detail::DrawShapeArrow::~DrawShapeArrow | ( |  | ) |

default

## Member Function Documentation

## doesRectClash()

bool RDKit::MolDraw2D_detail::DrawShapeArrow::doesRectClash | ( | const StringRect & | rect,
|  | double | padding
| ) |  | const

override virtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## myDraw()

void RDKit::MolDraw2D_detail::DrawShapeArrow::myDraw | ( | MolDraw2D & | drawer | ) | const

override virtual

Implements RDKit::MolDraw2D_detail::DrawShape.

## operator=() [1/2]

DrawShapeArrow & RDKit::MolDraw2D_detail::DrawShapeArrow::operator= | ( | const DrawShapeArrow & |  | ) |

delete

## operator=() [2/2]

DrawShapeArrow & RDKit::MolDraw2D_detail::DrawShapeArrow::operator= | ( | DrawShapeArrow && |  | ) |

delete

## Member Data Documentation

## angle_

double RDKit::MolDraw2D_detail::DrawShapeArrow::angle_

Definition at line 79 of file DrawShape.h.

## frac_

double RDKit::MolDraw2D_detail::DrawShapeArrow::frac_

Definition at line 78 of file DrawShape.h.

The documentation for this class was generated from the following file:

- DrawShape.h